Skip to main content
POST
/
workspaces
/
import
/
upload
/
part
cURL
curl --request POST \
  --url https://api.mudstack.com/workspaces/import/upload/part \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-account-id: <x-account-id>' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --data '
{
  "key": "<string>",
  "upload_id": "<string>",
  "part_no": 123,
  "mime_type": "<string>",
  "checksum": {
    "value": "<string>"
  }
}
'
import requests

url = "https://api.mudstack.com/workspaces/import/upload/part"

payload = {
"key": "<string>",
"upload_id": "<string>",
"part_no": 123,
"mime_type": "<string>",
"checksum": { "value": "<string>" }
}
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
key: '<string>',
upload_id: '<string>',
part_no: 123,
mime_type: '<string>',
checksum: {value: '<string>'}
})
};

fetch('https://api.mudstack.com/workspaces/import/upload/part', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "signedUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required
x-workspace-id
string<uuid>
required

Body

application/json
key
string

The key of the file part

upload_id
string

The upload ID of the multi-part upload

part_no
integer

The part number of the file part

mime_type
string

The MIME type of the file part

checksum
object

Payload containing checksum information.

Response

200 - application/json

Signed URL for the temp location

signedUrl
string

The signed URL for the temp location